module CHoistingProblemsVariables
    use CProblemDifinition
	implicit none    
	public 
    
    ! Input vars
    type :: HoistingProblemsType
        type(CProblem) :: MotorFail
        type(CProblem) :: ClutchEngage
        type(CProblem) :: ClutchDisengage
    end type HoistingProblemsType

    
    contains   
    

end module CHoistingProblemsVariables